Page MenuHomePhabricator

Write banner diet campaign mixin
Closed, ResolvedPublic2 Story Points

Description

Will eliminate the need for legacy compatibility, and will make it much easier for CentralNotice admins to use banner hiding, which will hopefully decrease the amount of global banner blindness.

This is also an important proof of concept for the mixin architecture.

Event Timeline

awight created this task.Sep 9 2015, 10:39 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 10:39 PM
awight claimed this task.Sep 10 2015, 12:03 AM
awight moved this task from Backlog to Doing on the Fundraising Sprint Snoop (Dogg|Lion) board.
awight set Security to None.
awight added a project: Unplanned-Sprint-Work.
awight edited a custom field.Sep 15 2015, 8:33 PM

Change 236229 had a related patch set uploaded (by Awight):
Banner diet mixin

https://gerrit.wikimedia.org/r/236229

Change 236229 merged by Ejegg:
Banner diet mixin

https://gerrit.wikimedia.org/r/236229

Copying an important comment from T105109:

This should be the default behavior.

@Pcoombe can you try this on a test campaign?

I tried this for a campaign aa.wikibooks, all looks good to me. Thank you! If everyone's happy, the next step is to enable this on our low-level campaigns.

Q: If I use the same cookie name, will the mixin be compatible with cookies that people already have from the non-mixin code? I can't see any reason why not...

Q: If I use the same cookie name, will the mixin be compatible with cookies that people already have from the non-mixin code? I can't see any reason why not...

Yes! That was one of my goals in writing the feature, it should be exactly compatible with old cookies, for now. Once everyone has switched to this new system and it doesn't matter, we'll definitely break this compatibility, probably using careful migration deployments so that no group of readers is ever reset or dropped from any campaign's diet feature.

awight closed this task as Resolved.Oct 27 2015, 3:57 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:37 PM